Page MenuHomePhabricator

Clicking anywhere on notification row in watch.html form should cause the checkbox to be checked
Closed, ResolvedPublic

Description

Currently, if you click onto <tr> element containing the event you want to watch, it doesn't check the checkbox. The fact you must click onto the checkbox directly is unintuitive.

Details

Related Gerrit Patches:
wikimedia-cz/tracker : masterFix notification watch form a11y

Event Timeline

Urbanecm created this task.Nov 12 2018, 2:17 PM
Urbanecm moved this task from Backlog to GCI on the User-Urbanecm board.
Urbanecm moved this task from Inbox to GCI on the WMCZ-Tracker board.

Change 473035 had a related patch set uploaded (by Shreyasminocha; owner: Shreyasminocha):
[wikimedia-cz/tracker@master] Fix notification watch form a11y

https://gerrit.wikimedia.org/r/473035

Change 473035 merged by jenkins-bot:
[wikimedia-cz/tracker@master] Fix notification watch form a11y

https://gerrit.wikimedia.org/r/473035

Urbanecm closed this task as Resolved.Nov 14 2018, 9:12 PM
Shreyasminocha reopened this task as Open.Dec 15 2018, 1:23 PM

Seems to be broken on master at the moment. Also, the watch interface on /ticket/watch/51 is strange (as pointed out by @Urbanecm).

Shreyasminocha removed Shreyasminocha as the assignee of this task.Dec 15 2018, 1:23 PM
Shreyasminocha added a subscriber: Shreyasminocha.

For the design thing, I filled T212034: Design of watch.html is strange, as it's most probably different problem.